#!ruby -Ks

        ##
        ##  商品テーブルを作成するスクリプト
        ##

require "phi"
require "rdb"
include RDB

DB = Database_ex.new("IBLocal","SYSDBA","masterkey")
##DB = Database_ex.new("APOLLO","apollo","apollo")

        ##
        ##  サブルーティン
        ##
def table_drop table_name 
  DB.execute "DROP TABLE #{table_name}"
end

def table_create table_name , col_def
  DB.execute "CREATE TABLE #{table_name} ( #{col_def} )"
end

def table_recreate table_name , col_def
  table_drop   table_name if DB.table_exist? table_name
  table_create table_name, col_def
end

        ##
        ##  コンソールで確認
        ##
print "サンプルＤＢ(原始バージョン)を作成します。y/n:" ; ans=gets
if not ans or not ans.upcase[0] == ?Y
  puts "canceled"
  exit
end
puts "run"

puts 'create TABLEs'

        ##
        ##  商品テーブルの作成
        ##
table_recreate "ap02shohin", <<EOT
        shohin_code   VARCHAR(6)  ,
        shohin_mei    VARCHAR(14) ,
        tanka         INTEGER
EOT

        ##
        ##  初期データの挿入。
        ##
puts 'insert DATA'

def insert_shohin shohin_code,shohin_mei,tanka
  DB.execute <<EOT
    INSERT INTO ap02shohin
           (    shohin_code   ,    shohin_mei   ,   tanka )
    VALUES ( "#{shohin_code}" , "#{shohin_mei}" , #{tanka} )
EOT
end

insert_shohin ( "M001" , "緑茶アポロ"   ,  100 )
insert_shohin ( "D001" , "デルファイ飴" , 1000 )
insert_shohin ( "R001" , "ルビーの小枝" ,  300 )

        ##
        ##  点検のため表示してみる。
        ##
puts DB.table('ap02shohin').fields
puts DB.table('ap02shohin')

